# The StompException class

(PECL stomp >= 0.1.0)

## Introduction

Represents an error raised by the stomp extension. See Exceptions for more information about Exceptions in PHP.

## Class synopsis

StompException extends Exception {
/* Inherited methods */
final public Exception::getMessage ( void ) : string
final public Exception::getPrevious ( void ) : Throwable
final public Exception::getCode ( void ) : mixed
final public Exception::getFile ( void ) : string
final public Exception::getLine ( void ) : int
final public Exception::getTrace ( void ) : array
final public Exception::getTraceAsString ( void ) : string
public Exception::__toString ( void ) : string
final private Exception::__clone ( void ) : void
/* Methods */
public getDetails ( void ) : string
}

## Table of Contents

- StompException::getDetails — Get exception details